Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 156583 - EMC CLARiion needs "queue_if_no_path" feature by default in hwtable.c of libmultipath.
Summary: EMC CLARiion needs "queue_if_no_path" feature by default in hwtable.c of libm...
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: device-mapper-multipath
Version: 4.0
Hardware: All
OS: Linux
high
high
Target Milestone: ---
: ---
Assignee: Alasdair Kergon
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-02 02:24 UTC by Ed Goggin
Modified: 2010-01-12 02:20 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-10-07 12:53:50 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Novell 81688 None None None Never

Description Ed Goggin 2005-05-02 02:24:13 UTC
Description of problem:

The features field of the hwentry structure in the hwtable vector
setup in libmultipath/hwtable.c needs to be set to "1 queue_if_no_path"
for the EMC CLARiion.  This field is currently set to 0.
 
Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Ed Goggin 2005-05-02 15:06:29 UTC
EMC CLARiion needs this multipath feature enabled in order to not fail
ios during expected transient periods when all paths to a CLARiion
logical unit are failed as part of a non-destructive upgrade of the
CLARiion storage system's ucode.

Comment 2 Lars Marowsky-Bree 2005-05-03 10:29:26 UTC
Ed, while I'm willing to add that flag for the EMC CX series, could you please
check with your CX group about _why_ the CLARiiON is violating the written
specification of _not_ requiring this during a NDU? 

Maybe it's a pending firmware bug in the CX; if not, one should be filed for it
too; either the firmware or the documentation needs fixing. I think your
customers would appreciate that ;-)

Comment 3 Ed Goggin 2005-07-20 23:01:49 UTC
During an NDU of CLARiiON ucode the CLARiiON's write cache must be
written to safe storage on the CLARiiON and the data in the safe processed.
During some portion of this time, both SPs can be non-respondent to any IO
from an attached host.

If this period of time is longer than a linux host's SCSI command timeout,
the SCSI layer will report a command timeout.  This will cause the multipathing
software to fail a path and retry on another path to the same logical unit.
Assuming this process is repeated for all paths to the same logical unit,
all paths the logical unit will be in a failed state.  The only thing keeping
an IO error (ENXIO) from being propagated to the user is the queue_if_no_path
multipath attribute.

Comment 4 Heather Conway 2005-08-30 19:11:26 UTC
Would you please provide an update to this Bugzilla?  Has this request been 
accepted and will the change be incorporated into RHEL 4.0 U3?  
If additional information is required from EMC, please let me know.
Thanks.
Heather

Comment 5 Ed Goggin 2005-08-30 19:42:36 UTC
AFAIK, this change request made it into Red Hat AS 4 Update 2.

Comment 7 Ed Goggin 2005-09-15 17:34:21 UTC
This bugzilla should be closed as resolved as per comment #5 above.

Comment 8 Rob Kenna 2005-10-07 12:53:50 UTC
Closed per confirmation from EMC comments #5 & #7.  Never released w/ the bug.


Note You need to log in before you can comment on or make changes to this bug.